Replace egrep usage with grep -E master
authorMichael Prokop <mika@grml.org>
Wed, 7 Sep 2022 11:57:23 +0000 (13:57 +0200)
committerMichael Prokop <mika@grml.org>
Wed, 7 Sep 2022 11:57:23 +0000 (13:57 +0200)
grep 3.8 deprecated support for egrep + fgrep, and now prints a warning on stderr:

| egrep: warning: egrep is obsolescent; using grep -E
| fgrep: warning: fgrep is obsolescent; using grep -F

debian/rules

index f83d809..7d696b5 100755 (executable)
@@ -10,7 +10,7 @@ VERSION:=$(shell dpkg-parsechangelog | awk '/Version: / { print $$2 }')
 
 override_dh_auto_build:
        dh_testdir
 
 override_dh_auto_build:
        dh_testdir
-       egrep -q '^PROG_VERSION = "\*\*\*UNKNOWN\*\*\*"' grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
+       grep -qE '^PROG_VERSION = "\*\*\*UNKNOWN\*\*\*"' grml2usb || (echo "PROG_VERSION in grml2usb wrong." && exit 2)
        $(MAKE) -C mbr
        $(MAKE)
 
        $(MAKE) -C mbr
        $(MAKE)